
$(function () {

// 主导航 切换 预览
	$('.sideItem li').click(function () {
		$(this).addClass('act').siblings('li').removeClass('act');
	});


// 模板修改 
	$('.previewList').css('width',($('.previewList').outerWidth()*$('.previewList li').length));
	$('.templateSelect label').click(function(){
		var _this=$('.templateSelect label').index(this);
		var subWidth=$('.previewList li').outerWidth();
		$('.previewList').stop().animate({
			left:-(_this*subWidth)
		},300);
	});

	var defaultTit=$('#setTitle').val();
	var defaultCont=$('#setContent').val();

	$('.previewSub h4').html(defaultTit);
	$('.previewSub p').html(defaultCont);

	textTips('#setTitle',defaultTit,'.previewSub h4');
	textTips('#setContent',defaultCont,'.previewSub p');

	setText('#setTitle','.previewSub h4');
	setText('#setContent','.previewSub p');

	function setText(souceTxt,targetTxt,defaultTxt){
		$(souceTxt).keyup(function(){
			$(targetTxt).html($(this).val());
		});
	}

	function textTips(targetInp,tipsTxt,targetTxt){
		$(targetInp).focus(function(){
			if($(this).val()==tipsTxt){
				$(this).val('').removeClass('defaultText');
			}
		});
		$(targetInp).blur(function(){
			if($(this).val()==''){
				$(this).val(tipsTxt).addClass('defaultText');
				$(targetTxt).html('');
			}
		});
	}

	//子标题切换
	$('.mainHeadline .titleTab span').click(function () {
		if ($('.mainHeadline .titleTab span').length > 1) {
			var _this = $('.mainHeadline .titleTab span').index(this);
			$(this).addClass('act').siblings('span').removeClass('act');

		}
	});

	

	//黑白名单切换
	$('.bwListBox .bwTabs li').click(function () {
		var _this = $('.bwListBox .bwTabs li').index(this);
		$('.bwListBox .bwTabs li').removeClass('act').eq(_this).addClass('act');
		$('.bwListBox .bwTab ul').removeClass('act').eq(_this).addClass('act');
	});

	//常见问题
	$('.QAList .subTitle').click(function () {
		$(this).parents('li').toggleClass('act');
		return false;
	});
	
	$('.feedbackBtn').click(function(){
		$('.feedbackEditor,.feedbckList,.QAList').toggleClass('feedbackAct');
		if($('.feedbackEditor').hasClass('feedbackAct')){
			$('.feedbackBtn span').html('常见问题');
			$(this).siblings('h3').html('意见反馈');
		}else{
			$('.feedbackBtn span').html('反馈');
			$(this).siblings('h3').html('常见问题');
		}
		return false;
	});
	
	//文本框默认提示文字
	
	textTips('.feedbackEditor textarea');
	
	function textTips(target){
		var text=$('.feedbackEditor textarea').val();
		$(target).focus(function(){
			if($(this).val()==text){
				$(this).val('');
			}
			$(this).removeClass('defaultText');
		});
		
		$(target).blur(function(){
			if($(this).val()==text || !$(this).val()){
				$(this).val(text).addClass('defaultText');
			}
		});
	}

})
